MinFunction

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.functions.java
Class MinFunction

    java.lang.Object
      org.openswing.swing.pivottable.functions.java.GenericFunction
          org.openswing.swing.pivottable.functions.java.MinFunction

All Implemented Interfaces:
  java.io.Serializable

public class MinFunction
extends GenericFunction
implements java.io.Serializable

Title: OpenSwing Framework

Description: Function applied to a data field of a pivot table: it reports the min value in the collection of values that matches the row/column fields criteria.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`MinFunction()`

Method Summary
`java.lang.Double` | `getValue()`
`void` | `processValue(java.lang.Object value)`

Methods inherited from class org.openswing.swing.pivottable.functions.java.GenericFunction
`equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinFunction

    public MinFunction()

Method Detail

### processValue

    public void processValue(java.lang.Object value)

  Overrides:
    `processValue` in class `GenericFunction`

### getValue

    public java.lang.Double getValue()

  Overrides:
    `getValue` in class `GenericFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD